Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02733 Graphics Minor Always Dec 11, 2008, 16:27 21 days ago
Tester hap View Status Public Platform MAME (Unofficial Binary)
Assigned To ywy Resolution Fixed OS
Status [?] Resolved Driver
Version 0.128u5 Fixed in Version 0.266 Build
Fixed in Git Commit 563b63f Github Pull Request # #11811
Summary 02733: arabianm: tile layer 4 is not visible at cutscenes
Description The text layer (TMAP 4) is not visible during cutscenes, like at the start of the game, or after finishing round 2.
Steps To Reproduce Boot the game, insert coin, don't press start, intro story begins. Optionally press F4 and look at tilemap #4 to see the hidden text layer.
Additional Information also happens on official 0.128
Github Commit
Flags
Regression Version 0.97u3
Affected Sets / Systems arabianm
Attached Files
 
Relationships
has duplicate 08827Closed  arabianm and clones: Arabian magic no text in cutscenes 
Notes
5
User avatar
No.03277
Tafoid
Administrator
Dec 11, 2008, 18:32
Regression found somewhere between 0.97 and 0.98. Whatsnew examination strongly suggests 0.97u3 as the actual regression version:

Major video update to Taito F3 driver that amongst other things properly
implements zoom & column scroll according to how the hardware does it,
which not only fixes glitches in various games but allowed many hacks to be
removed also. Sprite & tilemap clipping is also implemented, as is
proper priority mixing and alpha-blending on the vram and pixel
layers. [Bryan McPhail]
User avatar
No.05308
Iaspis
Tester
Dec 26, 2009, 07:42
edited on: Dec 26, 2009, 07:46
Is this related to 00147?
User avatar
No.16918
MetalGod
Senior Tester
Sep 17, 2019, 23:31
Full gameplay from pcb here:
User avatar
No.21245
ywy
Tester
Apr 1, 2023, 04:07
some incorrect assumptions in alpha blending handling are being violated here;
line data 72xx is b00f, changing lines to e.g. 700f causes vram to display.
User avatar
No.22118
ywy
Tester
22 days ago
fixed by ywy in https://github.com/mamedev/mame/pull/11811